Skip to main content
POST
Typescript (SDK)

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

response_id
string
required

The unique identifier of the response, formatted as 'resp_' or 'resp-' followed by alphanumeric characters.

Pattern: ^resp[-_][a-zA-Z0-9]+$

Body

application/json
input
string
required
Required string length: 1 - 20000

Response

The sleeping response was signalled to wake.

object
enum<string>
required
Available options:
response.sleep_wake
response_id
string
required
created_at
string<date-time>
required